> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# フィードバック

> 誤った、不完全な、または失敗したAPI結果を報告します。クレジットは消費されません。

Olostepの`/v1/feedbacks`エンドポイントを通じて、APIが何か間違ったことをしたときに報告できます。結果が誤っていた、不完全だった、遅かった、失敗した、またはドキュメントに一致しなかった場合に、エージェントまたは独自のコードから呼び出してください。

* フィードバックの対象となるオブジェクトの`id`を送信して、正確なリクエストを追跡できるようにします
* レポートにカテゴリとオプションの症状コードをタグ付けします
* フィードバックの提出は無料で、チームのクレジットが尽きた場合でも機能します

APIの詳細については、[フィードバック提出APIリファレンス](https://docs.olostep.com/api-reference/feedbacks/create.md)を参照してください。

## フィードバックを提出する

`category`と`note`は必須です。`related_object_id`がある場合は含めてください：`scrape_…`、`batch_…`、または類似のリソースid、または呼び出しが失敗した場合の`error_…`id。

```python Python theme={null}
import requests
import json

API_KEY = "<YOUR_API_KEY>"

payload = {
    "category": "output_quality",
    "issues": ["missing_content", "broken_formatting"],
    "note": "Markdownが価格比較表を落としている；期待されるのはすべての4行です。",
    "affected_endpoint": "POST /v1/scrapes",
    "related_object_id": "scrape_abc1234567",
    "url": "https://example.com/pricing"
}

headers = {
    "Authorization": f"Bearer {API_KEY}",
    "Content-Type": "application/json"
}

response = requests.post(
    "https://api.olostep.com/v1/feedbacks",
    headers=headers,
    json=payload
)
print(json.dumps(response.json(), indent=2))
```

```js Node theme={null}
const res = await fetch('https://api.olostep.com/v1/feedbacks', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <YOUR_API_KEY>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    category: 'output_quality',
    issues: ['missing_content', 'broken_formatting'],
    note: 'Markdownが価格比較表を落としている；期待されるのはすべての4行です。',
    affected_endpoint: 'POST /v1/scrapes',
    related_object_id: 'scrape_abc1234567',
    url: 'https://example.com/pricing'
  })
})
console.log(await res.json())
```

```bash cURL theme={null}
curl -X POST https://api.olostep.com/v1/feedbacks \
  -H "Authorization: Bearer $OLOSTEP_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "category": "output_quality",
    "issues": ["missing_content", "broken_formatting"],
    "note": "Markdownが価格比較表を落としている；期待されるのはすべての4行です。",
    "affected_endpoint": "POST /v1/scrapes",
    "related_object_id": "scrape_abc1234567",
    "url": "https://example.com/pricing"
  }'
```

### レスポンス

レスポンスは保存された`feedback`オブジェクトです。リストや取得エンドポイントはありません；フィードバックは私たちの側で読み取られます。

```json theme={null}
{
  "object": "feedback",
  "id": "feedback_019e70f9-214a-74fc-a1ae-26fd3318be3e",
  "category": "output_quality",
  "issues": ["missing_content", "broken_formatting"],
  "note": "Markdownが価格比較表を落としている；期待されるのはすべての4行です。",
  "affected_endpoint": "POST /v1/scrapes",
  "related_object_id": "scrape_abc1234567",
  "url": "https://example.com/pricing",
  "created_at": "2026-10-23T00:00:00.000Z"
}
```

## フィールド

| フィールド | 必須 | メモ |
| - | - | - |
| `category` | はい | `output_quality`、`reliability`、`performance`、`documentation`、`api_usability`、`feature_gap`、`other`のいずれか |
| `note` | はい | 何が間違っていて、代わりに何を期待したか、最大4,000文字 |
| `issues` | いいえ | 最大20の`snake_case`症状コード。ドキュメント化されたコードは以下にリストされています；同じ形の他のコードも受け入れられます |
| `affected_endpoint` | いいえ | `METHOD /path`で、標準の複数形パス、例えば`POST /v1/scrapes` |
| `related_object_id` | いいえ | スクレイプ、バッチ、クロール、回答、または他のオブジェクトの`id`、または呼び出しが失敗した場合の`error_…`id |
| `url` | いいえ | フィードバックの対象となるページ、例えばスクレイプされたURL |

### 問題コード

`missing_content`、`incorrect_content`、`incomplete_content`、`broken_formatting`、`irrelevant_results`、`duplicate_results`、`stale_content`、`request_failed`、`timeout`、`slow_response`、`inconsistent_result`、`docs_mismatch`、`broken_example`、`confusing_schema`、`confusing_error`、`unsupported_website`、`unsupported_format`。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.